@import 'variable';

@media (min-width: 768px) and (max-width: 1024px) {
  // home page tablet
  header {
    nav {
      flex-direction: column;
      align-items: flex-start;
      gap: 1rem;
      position: relative;

      .btn {
        position: absolute;
        top: 50%;
        right: 1rem;
        transform: translateY(-50%);
      }
      .navbar {
        order: 2;
        margin-left: 0;
      }
    }

    .showcase {
      .container {
        > div {
          flex-direction: column;
        }
        .showcase-content {
          order: 2;
          width: 100%;
        }
      }
    }
  }

  #action {
    .container {
      li {
        flex: none;
        width: 40%;
      }
    }
  }

  #whatwedo {
    .container {
      .card-wrapper {
        flex-direction: column;

        .card {
          width: 100%;
          display: flex;
          gap: 2rem;

          .card-img {
            width: 80%;
          }
        }
      }
    }
  }

  #stories {
    .container {
      flex-direction: column;

      .card-wrapper {
        width: 80%;
        order: 2;
        transform: translate(2rem, -3rem);
      }
    }
  }

  #section4 {
    .container {
      .wrapper {
        .item {
          img {
            width: 50%;
          }

          h2 {
            font-size: 1.5rem;
          }
        }
      }
    }
  }

  #subscribe {
    .container {
      flex-direction: column;
      align-items: flex-start;

      p {
        width: 60%;
      }

      form {
        width: 100%;

        input {
          width: 60%;
        }
      }
    }
  }

  footer {
    .container {
      > * {
        width: 30%;
      }
    }
  }

  // Donation page tablet

  #donation-nav {
    .container {
      nav {
        align-items: center;
      }
    }
  }

  #donation-form {
    .container {
      flex-direction: column;
      align-items: center;

      form {
        order: 2;
      }

      > h1 {
        text-align: center;
        width: 70%;
        span {
          display: inline-block;
        }
      }
    }
  }
}

@media (max-width: 767px) {
  header {
    nav {
      flex-wrap: wrap;

      .navbar {
        flex-direction: column;
        gap: 1rem;
        margin-right: 0;
        width: 50%;
      }

      .logo {
        width: 50%;
      }

      .btn {
        text-align: center;
        flex: 1;
        margin-top: 1rem;
      }
    }

    .showcase {
      padding: 2rem 0;
      .container {
        > div {
          flex-direction: column;
        }
        .showcase-content {
          order: 2;
          width: 100%;

          h1 {
            font-size: 2rem;
          }
        }
      }
    }
  }

  #action {
    .container {
      li {
        flex: none;
        width: 40%;
      }
    }
  }

  #whatwedo {
    text-align: center;

    .container .card-wrapper {
      flex-direction: column;
      align-items: center;
      .card .card-img img {
        width: 80%;
        transform: translate(0, -1.5rem);
      }
    }
  }

  #didyouknow {
    padding: 2rem 0;
    .container {
      flex-direction: column;
      gap: 2.5rem;

      .card-wrapper .card {
        .card-content h2 {
          font-size: 1.5rem;
        }
        .label {
          left: 50%;
          transform: translate(-50%, -50%);
        }
      }
    }
  }

  #stories {
    .container {
      padding: 2rem 0;
      flex-direction: column;
      margin: 2rem;
      text-align: center;
      gap: 1rem;
      .card-wrapper {
        order: 2;
        transform: translate(0);

        .card {
          padding: 1rem;
        }
      }

      .stories-img {
        img {
          width: 100%;
        }

        .label {
          left: 50%;
          transform: translate(-50%, -50%);
        }
      }
    }
  }

  #section4 {
    padding: 2rem 0;
    .container {
      text-align: center;

      h1 {
        width: 100%;
      }

      .wrapper {
        .item {
          flex-direction: column;
          position: relative;
          gap: 0;

          img {
            width: 100%;
          }

          .label-light {
            position: absolute;
            top: 0;
            left: 50%;
            transform: translate(-50%, -50%);
          }
        }

        .item-2 {
          img {
            order: 0;
          }
        }
      }
    }
  }

  #subscribe {
    padding: 2rem 0;
    .container {
      flex-direction: column;
      align-items: flex-start;

      p {
        width: 100%;
      }

      form {
        width: 100%;
        gap: 0.5rem;
      }
    }
  }

  #donation-nav {
    .container {
      nav {
        align-items: center;
      }
    }
  }

  #donation-form {
    .container {
      flex-direction: column;
      align-items: center;

      form {
        order: 2;

        > h2 {
          font-size: 1.2rem;
        }

        .actions {
          flex-direction: column;
          align-items: flex-start;
          gap: 2rem;

          button {
            order: 0;
            width: 100%;
          }
        }
      }

      > h1 {
        text-align: center;
        font-size: 1.5rem;
        width: 70%;
        span {
          display: inline-block;
        }
      }
    }
  }
}
